> ## Documentation Index
> Fetch the complete documentation index at: https://docs.publisher.miratsquanto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Single Survey

> Retrieve details of a specific survey by its survey number.

## Get Single Survey

Retrieve details of a specific survey by its survey number.

> **Note:** The fields `loi` and `ir` are going to be deprecated soon. Please use `length_of_interview` and `incidence_rate` instead.

### Endpoint

```http theme={null}
POST /surveys/one/{surveyNumber}
```

### Headers

```json theme={null}
{
  "publisher-authentication-key": "your_project_secret_key"
}
```

> **Note:** The `publisher-authentication-key` header corresponds to your **Secret Key**. The `authorizationKey` in the request body corresponds to your **Web API Key**.

### Request Body

```json theme={null}
{
  "authorizationKey": "DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU"
}
```

### Response

```json theme={null}
{
  "length_of_interview": "10",
  "incidence_rate": "10",
  "survey_created_date": "2025-11-17T10:24:10.829Z",
  "survey_last_updated_date": "2025-11-17T10:24:10.829Z",
  "surveyNumber": 17633744316852264,
  "qualification": [
    {
      "question": "AGE",
      "validOptions": [
        {
          "from": 18,
          "to": 55
        }
      ],
      "displayOptions": [],
      "quotas": {}
    },
    {
      "question": "GENDER",
      "validOptions": [
        "Male",
        "Female"
      ],
      "displayOptions": [
        "Male",
        "Female"
      ],
      "quotas": {
        "Male": 0,
        "Female": 13
      }
    },
    {
      "question": "STANDARD_HHI_US",
      "validOptions": [
        "$100,000 to $124,999",
        "$125,000 to $149,999",
        "$150,000 to $174,999",
        "$175,000 to $199,999",
        "$200,000 to $249,999",
        "$250,000 and above"
      ],
      "displayOptions": [
        "Less than $5,000",
        "$5,000 to $9,999",
        "$10,000 to $14,999",
        "$15,000 to $19,999",
        "$20,000 to $24,999",
        "$25,000 to $29,999",
        "$30,000 to $34,999",
        "$35,000 to $39,999",
        "$40,000 to $44,999",
        "$45,000 to $49,999",
        "$50,000 to $54,999",
        "$55,000 to $59,999",
        "$60,000 to $64,999",
        "$65,000 to $69,999",
        "$70,000 to $74,999",
        "$75,000 to $79,999",
        "$80,000 to $84,999",
        "$85,000 to $89,999",
        "$90,000 to $94,999",
        "$95,000 to $99,999",
        "$100,000 to $124,999",
        "$125,000 to $149,999",
        "$150,000 to $174,999",
        "$175,000 to $199,999",
        "$200,000 to $249,999",
        "$250,000 and above",
        "Prefer not to answer"
      ],
      "quotas": {}
    }
  ],
  "projectName": "New Campaign 007",
  "projectNumber": 10000092,
  "organisation": "Mirats Quanto"
}
```

### Error Response

```json theme={null}
{
  "message": "internal server error",
  "code": 500,
  "success": false
}
```


## OpenAPI

````yaml POST /surveys/one/{surveyNumber}
openapi: 3.0.0
info:
  title: Mirats Quanto Publisher API
  description: API documentation for Mirats Quanto Publisher services
  version: 1.0.0
servers:
  - url: https://api.publisher.miratsquanto.com/api/v1/publisher
    description: Publisher API Base URL
security:
  - publisher-authentication-key: []
paths:
  /surveys/one/{surveyNumber}:
    post:
      tags:
        - Surveys
      summary: Get Single Survey
      description: Retrieve details of a specific survey by its survey number.
      operationId: getSingleSurvey
      parameters:
        - name: surveyNumber
          in: path
          required: true
          schema:
            type: integer
            example: 17633744316852264
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthorizationRequest'
      responses:
        '200':
          description: Successful response with survey details
          content:
            application/json:
              schema:
                type: object
                properties:
                  loi:
                    type: integer
                    example: 10
                    deprecated: true
                    description: >-
                      Deprecating Soon: Use 'length_of_interview' instead. This
                      field will be removed in a future version.
                  length_of_interview:
                    type: string
                    example: '10'
                    description: Length of interview in minutes
                  ir:
                    type: integer
                    example: 10
                    deprecated: true
                    description: >-
                      Deprecating Soon: Use 'incidence_rate' instead. This field
                      will be removed in a future version.
                  incidence_rate:
                    type: string
                    example: '10'
                    description: Incidence rate as a percentage
                  survey_created_date:
                    type: string
                    format: date-time
                    example: '2025-11-17T10:24:10.829Z'
                  survey_last_updated_date:
                    type: string
                    format: date-time
                    example: '2025-11-17T10:24:10.829Z'
                  surveyNumber:
                    type: integer
                    example: 17633744316852264
                  qualification:
                    type: array
                    items:
                      $ref: '#/components/schemas/QualificationItem'
                  projectName:
                    type: string
                    example: New Campaign 007
                  projectNumber:
                    type: integer
                    example: 10000092
                  organisation:
                    type: string
                    example: Mirats Quanto
                required:
                  - length_of_interview
                  - incidence_rate
                  - surveyNumber
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    AuthorizationRequest:
      type: object
      description: >-
        Payload for endpoints that only require the Web API Key in the request
        body.
      properties:
        authorizationKey:
          type: string
          description: Web API Key obtained from the Mirats Publisher Platform.
          example: DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU
      required:
        - authorizationKey
    QualificationItem:
      type: object
      properties:
        question:
          type: string
          example: AGE
        validOptions:
          type: array
          items:
            oneOf:
              - type: object
                properties:
                  from:
                    type: integer
                    example: 18
                  to:
                    type: integer
                    example: 55
                required:
                  - from
                  - to
              - type: string
                example: Male
        displayOptions:
          type: array
          items:
            type: string
            example: Male
        quotas:
          type: object
          additionalProperties:
            type: integer
          example:
            Male: 0
            Female: 13
        questionType:
          type: string
          example: Single Punch
        preCodes:
          type: array
          items:
            type: string
            example: '18'
      required:
        - question
        - validOptions
        - displayOptions
        - quotas
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          example: internal server error
        code:
          type: integer
          example: 500
        success:
          type: boolean
          example: false
      required:
        - message
        - code
        - success
  securitySchemes:
    publisher-authentication-key:
      type: apiKey
      in: header
      name: publisher-authentication-key
      description: >-
        Send your Secret Key using the `publisher-authentication-key` header.
        This header is required for every request.

````